---
search:
  tags:
    - Config
    - GET
seo:
  description: >-
    Read a durable settings operation. Reference for the GET
    /api/admin/config/operations/{id} endpoint in the Athena Attack/Defence
    Admin API.
sidebar:
  label: Read a durable settings operation
  badge: GET
title: Read a durable settings operation
type: openapi-operation
---
`GET /api/admin/config/operations/{id}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "expectedVersion": 0,
  "targetVersion": 0,
  "settings": {
    "ctfTheme": "string",
    "ctfName": "string",
    "ctfDescription": "string",
    "startDate": "string",
    "freezeDate": "string",
    "endDate": "string",
    "registrationOpen": true,
    "reportNotificationEmails": [
      "string"
    ],
    "exportIncludeEmails": true,
    "rules": "string",
    "faq": [
      {
        "question": "string",
        "answer": "string"
      }
    ],
    "rosterDeadline": "string",
    "tickSeconds": 0,
    "flagValidityTicks": 0,
    "checkerTimeoutSeconds": 0,
    "scoringWeights": {
      "slaUp": 0,
      "slaRecovering": 0,
      "defenceBase": 0,
      "defenceWeight": 0,
      "attackBase": 0,
      "attackWeight": 0,
      "rankWeight": 0,
      "rankReduction": true,
      "reductionMin": 0,
      "reductionMax": 0
    },
    "heroTitle": "string",
    "ctfLogoUrl": "string",
    "maxTeamSize": 0,
    "marketing": {
      "categories": [
        "string"
      ],
      "hostedBy": "string",
      "prizePool": "string",
      "discordUrl": "string",
      "writeupsUrl": "string",
      "contactUrl": "string"
    }
  },
  "version": 0,
  "changedKeys": [
    "string"
  ],
  "requiresSync": true,
  "acknowledgedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z"
}
```
